# device is https://www.amazon.com/ESP32-CAM-Bluetooth-Camera-Module-Development/dp/B07S5PVZKV/ref=sr_1_3

# has no rst pin, so 
#  1. connect DTR to IO0
#  2. inv monitor-usb --board office_back_cam
#  3. press reset button
#  4. ctrl-c,  inv program-board-over-usb --board office_back_cam

# mosquitto_sub  -v -t office_back_cam/status

# bang(pts/15):/my/proj/homeauto/espNode% catchsegv ./readcam.py --cam office_back_cam  --port 10021

#red esp-tx
#ora esp-rx
#nc
#blu gpio0
#yel 3v3
#nc

esphome:
  name: office-back-cam
  platform: ESP32
  board: esp32cam
  build_path: office_back_cam

wifi:
  ssid: !secret wifi_ssid
  password: !secret wifi_password
  domain: ''
  use_address: 10.2.0.22

mqtt:
  broker: '10.2.0.1'
  port: 1883
  username: ''
  password: ''
  
logger:
  baud_rate: 115200
  level: DEBUG
  
ota:

# light:
#   - platform: fastled_clockless
#     chipset: WS2812B
#     pin: GPIO13
#     num_leds: 20
#     rgb_order: GRB
#     name: "strip"
#     effects:
#       - addressable_color_wipe:
#       - addressable_color_wipe:
#           name: Custom1
#           colors:
#             - red: 100%
#               green: 100%
#               blue: 100%
#               num_leds: 1
#             - red: 0%
#               green: 0%
#               blue: 0%
#               num_leds: 1
#           add_led_interval: 100ms
#           reverse: false
#       - addressable_twinkle:


  # - platform: monochromatic
  #   name: "flash"
  #   output: flash_out
  # - platform: binary
  #   output: gpio_4
  #   name: flash

  
# dallas:
#   - pin: GPIO15
#     update_interval: 10s

# sensor:
#   - platform: dallas
#     index: 0
#     name: temperature

output:
  - platform: ledc
    id: flash_out
    pin: GPIO4
    frequency: 19531Hz
